# GET /api/v1/time-entries/billable

> List billable time

- **Tag:** time-entries
- **Operation ID:** `list_billable_api_v1_time_entries_billable_get`

## Description

Unbilled, billable time entries with computed billable amount.

## Authentication

Bearer token in `Authorization` header.
Required header: `x-business-id: <business uuid>`.

## Parameters

- `customer_id` (query, string, optional) — Filter by customer.
- `project_id` (query, string, optional) — Filter by project.

## Responses

### 200 — Successful Response

Schema: `TimeEntriesListResponse`

- `items` (array · TimeEntryResponse · required) → `TimeEntryResponse`
  - `id` (string · required)
  - `business_id` (string · required)
  - `entry_date` (string · date · required)
  - `duration_minutes` (integer · required)
  - `description` (string)
  - `person_name` (string)
  - `customer_id` (string)
  - `customer_name` (string)
  - `project_id` (string)
  - `project_name` (string)
  - `catalog_item_id` (string)
  - `billable` (boolean · required)
  - `rate_cents` (integer)
  - `billable_amount` (integer) — Computed billable amount in cents.
  - `status` (string · required)
  - `invoice_id` (string)
  - `is_active` (boolean · required)
  - `created_at` (string · date-time · required)
  - `updated_at` (string · date-time · required)

### 401 — Unauthorized - Authentication required

### 403 — Forbidden - Insufficient permissions

### 422 — Validation Error

Schema: `HTTPValidationError`

- `detail` (array · ValidationError) → `ValidationError`
  - `loc` (array · string | integer · required)
  - `msg` (string · required)
  - `type` (string · required)
  - `input` (object)
  - `ctx` (object)

## Code samples

### cURL

```bash
curl -X GET 'https://api.ondayzero.com/api/v1/time-entries/billable' \
  -H 'Authorization: Bearer dz_your_token' \
  -H 'x-business-id: YOUR_BUSINESS_ID'
```

### JavaScript

```javascript
const response = await fetch('https://api.ondayzero.com/api/v1/time-entries/billable', {
  method: 'GET',
  headers: {
    Authorization: 'Bearer dz_your_token',
    'x-business-id': 'YOUR_BUSINESS_ID',
  },
});
const data = await response.json();
```

### Python

```python
import httpx

headers = {
    "Authorization": "Bearer dz_your_token",
    "x-business-id": "YOUR_BUSINESS_ID",
}

response = httpx.get("https://api.ondayzero.com/api/v1/time-entries/billable", headers=headers)
data = response.json()
```

## See also

- HTML version: https://www.ondayzero.com/docs/reference/time-entries/list-billable
- OpenAPI slice: https://www.ondayzero.com/docs/reference/time-entries/list-billable/openapi.json
- Other endpoints in **time-entries**: https://www.ondayzero.com/docs/reference/time-entries
